Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Thing

    java.lang.Object
      com.ibm.able.examples.rules.Thing

All Implemented Interfaces:
  java.io.Serializable

public class Thing
extends java.lang.Object
implements java.io.Serializable

A Thing has a name, location, can be placed on top of another thing, and a weight description.

See Also:
  Serialized Form

Constructor Summary
`Thing()`
`Thing(java.lang.String name)`
`Thing(java.lang.String name, java.lang.String location)`
`Thing(java.lang.String name, java.lang.String location, java.lang.String onTopOf)`
`Thing(java.lang.String name, java.lang.String location, java.lang.String onTopOf, java.lang.String weight)`

Method Summary
`java.lang.String` | `getLocation()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnTopOf()`
`java.lang.String` | `getWeight()`
`void` | `setLocation(java.lang.String location)`
`void` | `setName(java.lang.String name)`
`void` | `setOnTopOf(java.lang.String onTopOf)`
`void` | `setWeight(java.lang.String weight)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Thing

    public Thing()

### Thing

    public Thing(java.lang.String name)

### Thing

    public Thing(java.lang.String name,
                 java.lang.String location)

### Thing

    public Thing(java.lang.String name,
                 java.lang.String location,
                 java.lang.String onTopOf)

### Thing

    public Thing(java.lang.String name,
                 java.lang.String location,
                 java.lang.String onTopOf,
                 java.lang.String weight)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLocation

    public java.lang.String getLocation()

### setLocation

    public void setLocation(java.lang.String location)

### getOnTopOf

    public java.lang.String getOnTopOf()

### setOnTopOf

    public void setOnTopOf(java.lang.String onTopOf)

### getWeight

    public java.lang.String getWeight()

### setWeight

    public void setWeight(java.lang.String weight)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005